SDML(1)

NAME
sdml deps - Show a module's imported dependencies.

SYNOPSIS
sdml deps [OPTIONS] [MODULE]

DESCRIPTION
Show a module's imported dependencies.

This command generates a representation of the transitive closure of dependencies for a given module.

- Tree (default) :: Show dependencies as a text tree with the original as the root.

```text ??? sdml deps sdml sdml ????????? owl ??? ????????? rdf ??? ??? ????????? rdfs ??? ??? ????????? rdf ??? ????????? rdfs ??? ????????? xsd ??? ????????? rdf ??? ????????? rdfs ????????? rdf ????????? rdfs ????????? skos ??? ????????? rdf ??? ????????? rdfs ????????? xsd ```

- Graph :: Create an SVG representation of the dependency graph using GraphViz.

```text ??? sdml deps --output-format graph -o sdml-deps.svg sdml ??? open -a Safari sdml-deps.svg ```

- RDF :: Create a set of RDF statements,as N-Triples, that represent the individual OWL import relationships.

```text ??? sdml deps --depth 1 --output-format rdf sdml <http://sdml.io/sdml-owl.ttl#> <http://www.w3.org/2002/07/owl#imports> <http://www.w3.org/2002/07/owl#> . <http://sdml.io/sdml-owl.ttl#> <http://www.w3.org/2002/07/owl#imports> <http://www.w3.org/1999/02/22-rdf-syntax-ns#> . <http://sdml.io/sdml-owl.ttl#> <http://www.w3.org/2002/07/owl#imports> <http://www.w3.org/2000/01/rdf-schema#> . <http://sdml.io/sdml-owl.ttl#> <http://www.w3.org/2002/07/owl#imports> <http://www.w3.org/2004/02/skos/core#> . <http://sdml.io/sdml-owl.ttl#> <http://www.w3.org/2002/07/owl#imports> <http://www.w3.org/2001/XMLSchema#> . ```

In some cases the entire set of dependencies is not necessary and the `--depth` argument can be added to only show a number of levels of import from the root. The depth argument instructs to command to stop after that many dependencies away from the original module. Setting depth to 1 will only show the direct dependencies of the original.

```text ??? sdml deps --depth 1 sdml sdml ????????? owl ????????? rdf ????????? rdfs ????????? skos ????????? xsd ```

  Arguments:

    [MODULE]

    SDML module, loaded using the standard resolver

OPTIONS

-f, --output-format <OUTPUT_FORMAT>

    [default: tree]

    Possible values: - graph: GraphViz DOT format - rdf: As RDF/OWL import triples - tree: A hierarchical tree format

-d, --depth <DEPTH>

    Depth to traverse imports, 0 implies all

    [default: 0]

-o, --output <OUTPUT>

    File name to write to, or '-' to write to stdout

    [default: -]

-i, --input <INPUT>

    Input SDML file name to read from, or '-' to read from stdin

    [default: -]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version